# Uses of Enum Class
com.sun.source.doctree.AttributeTree.ValueKind

Packages that use AttributeTree.ValueKind
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of AttributeTree.ValueKind in com.sun.source.doctree

Methods in com.sun.source.doctree that return AttributeTree.ValueKind
Modifier and Type
Method
Description
`AttributeTree.ValueKind`
AttributeTree.`getValueKind()`
Returns the kind of the attribute value.
`static AttributeTree.ValueKind`
AttributeTree.ValueKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AttributeTree.ValueKind[]`
AttributeTree.ValueKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of AttributeTree.ValueKind in com.sun.source.util

Methods in com.sun.source.util with parameters of type AttributeTree.ValueKind
Modifier and Type
Method
Description
`AttributeTree`
DocTreeFactory.`newAttributeTree(Name name, AttributeTree.ValueKind vkind, List<? extends DocTree> value)`
Creates a new `AttributeTree` object, to represent an attribute in an HTML element or tag.